中危 Libexpat 至 2.1.0 XML_SetEntityDeclHandler this 访问控制漏洞

CVE编号

CVE-2013-0340

利用情况

暂无

补丁情况

官方补丁

披露时间

2014-01-22
漏洞描述
Expat是一个用C语言开发的、用来解析XML文档的开发库,它最初是开源的、Mozilla 项目下的一个XML解析器。

Expat存在拒绝服务漏洞。允许攻击者通过构造恶意的XML文件,消耗大量的内存导致应用程序崩溃。
解决建议
目前没有详细的解决方案提供:
http://expat.sourceforge.net/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 libexpat expat * Up to
(including)
2.1.0
运行在以下环境
应用 libexpat expat 1.95.1 -
运行在以下环境
应用 libexpat expat 1.95.2 -
运行在以下环境
应用 libexpat expat 1.95.4 -
运行在以下环境
应用 libexpat expat 1.95.5 -
运行在以下环境
应用 libexpat expat 1.95.6 -
运行在以下环境
应用 libexpat expat 1.95.7 -
运行在以下环境
应用 libexpat expat 1.95.8 -
运行在以下环境
应用 libexpat expat 2.0.0 -
运行在以下环境
应用 libexpat expat 2.0.1 -
运行在以下环境
系统 debian_10 expat * Up to
(including)
2.2.6-2+deb10u4
运行在以下环境
系统 debian_11 expat * Up to
(including)
2.2.10-2+deb11u3
运行在以下环境
系统 debian_12 expat * Up to
(including)
2.4.1-3
运行在以下环境
系统 debian_9 expat * Up to
(including)
2.2.0-2+deb9u3
运行在以下环境
系统 debian_sid expat * Up to
(including)
2.4.1-3
阿里云评分
5.3
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-264 权限、特权和访问控制
CWE-611 XML外部实体引用的不恰当限制(XXE)
阿里云安全产品覆盖情况